处理程序“PageHandlerFactory-Integrated”在其模块列表中有一个错误模块“ManagedPipelineHandler”


Posted on November 25, 2018


vs2010默认采用的是.NET 4.0框架,4.0框架是独立的CLR,和.NET 2.0的不同,如果想运行.NET 4.0框架的网站,需要用aspnet_regiis注册.NET 4.0框架,然后用.NET 4.0框架的class池,就可以运行.NET 4.0框架的web项目了。

造成上述错误的原因极有可能是:由于先安装.NetFramework v4.0后安装iis 7.5所致。

如何用aspnet_regiis注册4.0框架?

cd C:\Windows\Microsoft.NET\Framework\v4.0.30319

aspnet_regiis.exe -i


标签:ASP.NET

 

在线学习答案查询入口
微信扫码联系
微信扫码联系